Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model.idea
[Java] Interface BasicIdeaProject

    org.gradle.tooling.model.idea.BasicIdeaProject
      org.gradle.plugins.ide.idea.model.IdeaProject

All Superinterfaces:
  IdeaProject

    public interface BasicIdeaProject
    extends IdeaProject

IdeaProject that does not provide/resolve any external dependencies. Only project dependencies and local file dependencies are included on the modules' classpath.

Useful for 'previewing' the output model of IdeaProject because it is supposed to be fast (e.g. does not download dependencies from the web).

Since:
  1.0-milestone-5

Method Summary

Methods inherited from class IdeaProject
getName, ipr, mergeXmlProject, setLanguageLevel

Gradle API 1.10